"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAdvancedAIToken = exports.AdvancedAIEngineTokenMSSql = void 0;
const log4js = require("log4js");
let sql = require('mssql');
let logger = log4js.getLogger('Sql');
let sqlConn;
function AdvancedAIEngineTokenMSSql(app) {
    sqlConn = app.get('sqlConn');
}
exports.AdvancedAIEngineTokenMSSql = AdvancedAIEngineTokenMSSql;
function GetAdvancedAIToken(VCC) {
    return new sql.Request(sqlConn)
        .input('VCC', sql.VarChar(50), VCC)
        .execute('GetAdvancedAIEngineToken')
        .then((sqlResult) => {
        logger.info('[AdvancedAIEngineTokenMSSql::GetAdvancedAIEngineToken] Received result from SP: ' + sqlResult.recordsets.length);
        let recordset = (sqlResult.recordsets?.length ? sqlResult.recordsets[0] : null);
        let generativeEngineToken = (recordset?.length > 0 ? recordset[0] : null);
        return Promise.resolve(generativeEngineToken);
    })
        .catch((err) => {
        let errorMsg = (err && err.procName ? 'Error on \'' + err.procName + '\': ' : 'Executing request: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
        logger.error('[AdvancedAIEngineTokenMSSql::GetAdvancedAIEngineToken] ' + errorMsg);
        return Promise.reject(err);
    });
}
exports.GetAdvancedAIToken = GetAdvancedAIToken;
