"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteAdvancedAIExample = exports.SaveAdvancedAIExample = exports.AdvancedAIExampleMSSql = void 0;
const log4js = require("log4js");
let sql = require('mssql');
let logger = log4js.getLogger('Sql');
let sqlConn;
function AdvancedAIExampleMSSql(app) {
    sqlConn = app.get('sqlConn');
}
exports.AdvancedAIExampleMSSql = AdvancedAIExampleMSSql;
function SaveAdvancedAIExample(vcc, example, currentUser) {
    let logLabel = `[AdvancedAIIntentMSSql::SaveAdvancedAIExample] [vcc::text => ${vcc}::${example.text}]: `;
    if (example.id)
        logger.info(`${logLabel}[appId => ${example.appId}]`);
    if (example.intentId)
        logger.info(`${logLabel}[intentId => ${example.intentId}]`);
    if (currentUser)
        logger.info(`${logLabel}[currentUser => ${currentUser}]`);
    return new sql.Request(sqlConn)
        .input('VCC', sql.VarChar(50), vcc)
        .input('AppId', sql.VarChar(50), example.appId)
        .input('IntentId', sql.VarChar(50), example.intentId)
        .input('Id', sql.VarChar(50), example.id)
        .input('Text', sql.VarChar(250), example.text)
        .input('CurrentUser', sql.VarChar(50), currentUser)
        .execute('SaveAdvancedAIExample')
        .then((sqlResult) => {
        let recordset = (sqlResult.recordsets?.length ? sqlResult.recordsets[0] : null);
        let output = (recordset && recordset.length > 0 ? recordset[0] : null);
        logger.info(`${logLabel}getting output:`, output);
        return Promise.resolve(output && output.result === 1);
    })
        .catch((err) => {
        let errorMsg = (err && err.procName ? 'Error al ejecutar \'' + err.procName + '\': ' : 'Error al ejecutar consulta: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
        logger.error(`${logLabel}getting errorMsg:`, errorMsg);
        return Promise.reject(err);
    });
}
exports.SaveAdvancedAIExample = SaveAdvancedAIExample;
function DeleteAdvancedAIExample(vcc, example, currentUser) {
    let logLabel = `[AdvancedAIIntentMSSql::DeleteAdvancedAIExample] [vcc::name => ${vcc}::${example.text}]: `;
    if (example.id)
        logger.info(`${logLabel}[id => ${example.id}]`);
    if (currentUser)
        logger.info(`${logLabel}[currentUser => ${currentUser}]`);
    return new sql.Request(sqlConn)
        .input('VCC', sql.VarChar(50), vcc)
        .input('AppId', sql.VarChar(50), example.appId)
        .input('IntentId', sql.VarChar(50), example.intentId)
        .input('Id', sql.VarChar(50), example.id)
        .execute('DeleteAdvancedAIExample')
        .then((sqlResult) => {
        let recordset = (sqlResult.recordsets?.length ? sqlResult.recordsets[0] : null);
        let output = (recordset?.length > 0 ? recordset[0] : null);
        logger.info(`${logLabel}getting output:`, output);
        return Promise.resolve(output?.result === 1);
    })
        .catch((err) => {
        let errorMsg = (err?.procName ? 'Error al ejecutar \'' + err.procName + '\': ' : 'Error al ejecutar consulta: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
        logger.error(`${logLabel}getting errorMsg:`, errorMsg);
        return Promise.reject(err);
    });
}
exports.DeleteAdvancedAIExample = DeleteAdvancedAIExample;
