"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskNotification = exports.TaskResult = exports.TaskServiceStatus = exports.TaskHistory = exports.TaskConfig = exports.TaskBackground = exports.TaskBackgroundProcess = exports.Task = void 0;
class Task {
    constructor(id, description, type, typeEvent, timeFrequency, timeSecondary, timeSchedule, timeRetry, processor, rate, disabled, status, statusDate, parallelism, execute) {
        this.id = id;
        this.description = description;
        this.type = type;
        this.typeEvent = typeEvent;
        this.timeFrequency = timeFrequency;
        this.timeSecondary = timeSecondary;
        this.timeSchedule = timeSchedule;
        this.timeRetry = timeRetry;
        this.processor = processor;
        this.rate = rate;
        this.disabled = disabled;
        this.status = status;
        this.statusDate = statusDate;
        this.parallelism = parallelism;
        this.execute = execute;
    }
}
exports.Task = Task;
class TaskBackgroundProcess {
    constructor() {
        this.backgrounds = [];
    }
}
exports.TaskBackgroundProcess = TaskBackgroundProcess;
class TaskBackground {
}
exports.TaskBackground = TaskBackground;
class TaskConfig {
    constructor(taskId, type, typeEvent, timeFrequency, timeSecondary, timeSchedule, timeRetry, email, sendNotification, disabled, status, statusDate) {
        this.taskId = taskId;
        this.type = type;
        this.typeEvent = typeEvent;
        this.timeFrequency = timeFrequency;
        this.timeSecondary = timeSecondary;
        this.timeSchedule = timeSchedule;
        this.timeRetry = timeRetry;
        this.email = email;
        this.sendNotification = sendNotification;
        this.disabled = disabled;
        this.status = status;
        this.statusDate = statusDate;
    }
}
exports.TaskConfig = TaskConfig;
class TaskHistory {
    constructor(sourceId, service, type, status, description, statusDate, statusDateUTC) {
        this.sourceId = sourceId;
        this.service = service;
        this.type = type;
        this.status = status;
        this.description = description;
        this.statusDate = statusDate;
        this.statusDateUTC = statusDateUTC;
    }
}
exports.TaskHistory = TaskHistory;
class TaskServiceStatus {
    constructor(taskId, sourceId, clientId, service, status, statusDate, data) {
        this.taskId = taskId;
        this.sourceId = sourceId;
        this.clientId = clientId;
        this.service = service;
        this.status = status;
        this.statusDate = statusDate;
        this.data = data;
    }
}
exports.TaskServiceStatus = TaskServiceStatus;
class TaskResult {
    constructor(taskId, status, service, sourceId, clientId, type, data, instance) {
        this.taskId = taskId;
        this.status = status;
        this.service = service;
        this.sourceId = sourceId;
        this.clientId = clientId;
        this.type = type;
        this.data = data;
        this.instance = instance;
    }
}
exports.TaskResult = TaskResult;
class TaskNotification {
    constructor(customerId, accountId, title, type, message, detail, level, notificationDate) {
        this.customerId = customerId;
        this.accountId = accountId;
        this.title = title;
        this.type = type;
        this.message = message;
        this.detail = detail;
        this.level = level;
        this.notificationDate = notificationDate;
    }
}
exports.TaskNotification = TaskNotification;
