"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAvailableMemory = exports.IsDev = exports.GetAppVersion = exports.GetAppName = exports.IsPm2 = void 0;
const server_config_1 = require("../config/server.config");
const child_process = require("child_process");
const os = require("os");
const packagJson = require(server_config_1.SERVER_MODE === 'prod' ? '../../package.json' : '../../../../package.json');
function IsPm2() {
    return !!('PM2_HOME' in process.env || 'PM2_JSON_PROCESSING' in process.env || 'PM2_CLI' in process.env);
}
exports.IsPm2 = IsPm2;
function GetAppName() {
    return packagJson.name;
}
exports.GetAppName = GetAppName;
function GetAppVersion() {
    return packagJson.version;
}
exports.GetAppVersion = GetAppVersion;
function IsDev() {
    return server_config_1.SERVER_MODE !== 'prod';
}
exports.IsDev = IsDev;
function GetAvailableMemory() {
    let availableMemory;
    try {
        let stdout = child_process.execSync('free -b', { encoding: 'utf8' });
        const outputLines = stdout.trim().split('\n');
        const memoryInfo = outputLines[1].replace(/[\s\n\r]+/g, ' ').split(' ');
        availableMemory = parseInt(memoryInfo[6]);
    }
    catch (e) { }
    if (!availableMemory && availableMemory !== 0)
        availableMemory = os.freemem();
    return availableMemory;
}
exports.GetAvailableMemory = GetAvailableMemory;
